Create Entity
POST
https://dev-api.monoova.com/kyb/v1/CreateEntity
Body Parameters
- bodyCreate_EntityDescription
- companyNamestringrequiredDefaultCONNECT BOOKKEEPING
- registrationNumberstringrequiredDefault11061989110
- countrystringrequiredDefaultAUS
- sourceKeystringDefaultInternalUniqueIdentifier
- externalUserIdobject[]DefaultexternalIdentifier1,externalIdentifier2
Responses
200
curl
curl --request POST \
--url https://dev-api.monoova.com/kyb/v1/CreateEntity \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"companyName": "CONNECT BOOKKEEPING",
"registrationNumber": "11061989110",
"country": "AUS",
"sourceKey": "InternalUniqueIdentifier",
"externalUserId": [
"externalIdentifier1",
"externalIdentifier2"
]
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"companyName": "CONNECT BOOKKEEPING",
"registrationNumber": "11061989110",
"country": "AUS",
"sourceKey": "InternalUniqueIdentifier",
"externalUserId": [
"externalIdentifier1",
"externalIdentifier2"
]
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://dev-api.monoova.com/kyb/v1/CreateEntity", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev-api.monoova.com/kyb/v1/CreateEntity")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"companyName": "CONNECT BOOKKEEPING",
"registrationNumber": "11061989110",
"country": "AUS",
"sourceKey": "InternalUniqueIdentifier",
"externalUserId": [
"externalIdentifier1",
"externalIdentifier2"
]
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev-api.monoova.com/kyb/v1/CreateEntity"
payload = json.dumps({
"companyName": "CONNECT BOOKKEEPING",
"registrationNumber": "11061989110",
"country": "AUS",
"sourceKey": "InternalUniqueIdentifier",
"externalUserId": [
"externalIdentifier1",
"externalIdentifier2"
]
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
This endpoint should only be used for creating entities where verification is not required, e.g. payroll applications.